{% extends 'base.html' %}
{% block content%}


<h1 class="text-4xl ">Post</h1>
<ul class="divide-y divide-black-500 bg-gray-300">
    {% for post in object_list %}
    <li class="text-xl  text-gray-700"> <a href="{% url 'article_det' post.pk %}" class="text-blue-600"> {{post.title}}
        </a>
        - {{post.author.first_name}} {{post.author.last_name}} -- <a href="{% url 'category' post.category|slugify %}"> {{post.category}}</a>
        {% if user.is_authenticated %}
            {%if user.id == post.author.id%}
                <a href="{% url 'update_post' post.pk %}" class="text-slate-500 hover:text-blue-600">Izmijenite ovaj post</a>
                - <a href="{% url 'delete_post' post.pk %}" class="text-slate-500 hover:text-blue-600">Obrisite ovaj post</a>
            {%endif%}
        {%endif%}
        <br>
        {{post.body|slice:":100"|safe}}
    </li>
    {% endfor%}
</ul>
{% endblock %}